VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsFind"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False

'Dieser Source stammt von http://www.activevb.de
'und kann frei verwendet werden. Fr eventuelle Schden
'wird nicht gehaftet.
'
'Um Fehler oder Fragen zu klren, nutzen Sie bitte unser Forum.
'Ansonsten viel Spa und Erfolg mit diesem Source !
'
' Autor: Dominic Hoffmann <Dominic_hoffmann@freenet.de>
Option Explicit

Public Function Get_FilesDirectory(sPfad As String, Optional sExtension As String _
                                    = "\*.*", Optional Delimiter As String = ";", Optional sDirectorysBack As String) As String
                                            
'Funktion Get_FilesInDirectory liefert die in dem Pfad enthaltenen Dateinamen zurck,
'der letzte Wert sind die Anzahl der Dateien.
'sPfad enthlt den Pfad der durchsucht werden soll
'sExtension sind die dateien die gesucht werden sollen, mit endsprechendem Namen wie angegeben
'Delimiter ist das Trennzeichen um das Ergebniss mit Split zu trennen
Dim hFile       As Long
Dim File        As String
Dim Slash       As String
Dim FD          As WIN32_FIND_DATA
Dim iCount      As Integer

If Right(sPfad, 1) <> "\" Then sPfad = sPfad & "\"
If Left(sExtension, 1) <> "\" Then sExtension = "\" & sExtension

    hFile = FindFirstFile(sPfad & sExtension, FD)
    If hFile = 0 Then Exit Function
    
    Do
        File = Left(FD.cFileName, InStr(FD.cFileName, Chr(0)) - 1)
            If (FD.dwFileAttributes And FILE_ATTRIBUTE_DIRECTORY) _
                <> FILE_ATTRIBUTE_DIRECTORY Then
                    If Not File = Empty Then
                        If Get_FilesDirectory = "" Then
                            Get_FilesDirectory = File
                        Else
                            Get_FilesDirectory = Get_FilesDirectory & Delimiter & File
                        End If
                    iCount = iCount + 1
                    End If
            ElseIf (FD.dwFileAttributes And FILE_ATTRIBUTE_DIRECTORY) _
                = FILE_ATTRIBUTE_DIRECTORY Then
                If sDirectorysBack = "" Then
                    sDirectorysBack = File
                Else
                    sDirectorysBack = sDirectorysBack & Delimiter & File
                End If
            End If
    Loop While FindNextFile(hFile, FD)
    Get_FilesDirectory = Get_FilesDirectory & Delimiter & iCount
    Call FindClose(hFile)
End Function

